> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# Retrieves the raw data for a database

GET https://meta.feedonomics.com/api.php/dbs/{db_id}/data

Reference: https://docs.feedonomics.com/developer/api-reference/rest/content-api/data/retrieves-the-raw-data-for-a-database

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `db_id` (integer, required) — ID of the database to get transformed data from

### Query parameters

- `direction` (string, optional) — Order direction, can be &gt; or &lt;
- `limit` (double, optional) — How many results should be returned
- `offset` (double, optional) — Offset used for paging
- `selector` (string, optional) — The query selector to filter data by

### Headers

- `x-api-key` (string, required)

## Response

### 200

successful operation

- `list of DbsDbIdDataGetResponsesContentApplicationJsonSchemaItems`

## Types

### DbsDbIdDataGetResponsesContentApplicationJsonSchemaItems

- `status` (string, optional)
- `total_run_time` (string, optional)
- `total_data_iterate_run_time` (string, optional)
- `select_data_run_time` (string, optional)
- `total_count` (string, optional)
- `data` (list of DbsDbIdDataGetResponsesContentApplicationJsonSchemaItemsDataItems, optional)
- `total_chunks` (string, optional)

### DbsDbIdDataGetResponsesContentApplicationJsonSchemaItemsDataItems

- `id` (string, optional)
- `field_0` (string, optional)
- `field_1` (string, optional)
- `field_2` (string, optional)
- `field_3` (string, optional)
- `field_4` (string, optional)
- `field_5` (string, optional)

## Examples

**Response**

```json
[
  {
    "status": "success",
    "total_run_time": "0.054791927337646",
    "total_data_iterate_run_time": "4.6014785766602E-5",
    "select_data_run_time": "0.035505056381226",
    "total_count": "462",
    "data": [
      {
        "id": "101",
        "field_0": "Red",
        "field_1": "Array",
        "field_2": "Light",
        "field_3": "Left",
        "field_4": "Vanilla"
      },
      {
        "id": "101",
        "field_0": "Blue",
        "field_1": "Object",
        "field_2": "Dark",
        "field_3": "Right",
        "field_4": "Chocolate"
      }
    ],
    "total_chunks": "1"
  }
]
```

**SDK Code**

```python Data_retrievesTheRawDataForADatabase_example
import requests

url = "https://meta.feedonomics.com/api.php/dbs/1/data"

headers = {
    "x-api-key": "x-api-key",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Data_retrievesTheRawDataForADatabase_example
const url = 'https://meta.feedonomics.com/api.php/dbs/1/data';
const options = {
  method: 'GET',
  headers: {'x-api-key': 'x-api-key', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Data_retrievesTheRawDataForADatabase_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://meta.feedonomics.com/api.php/dbs/1/data"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "x-api-key")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Data_retrievesTheRawDataForADatabase_example
require 'uri'
require 'net/http'

url = URI("https://meta.feedonomics.com/api.php/dbs/1/data")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = 'x-api-key'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Data_retrievesTheRawDataForADatabase_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://meta.feedonomics.com/api.php/dbs/1/data")
  .header("x-api-key", "x-api-key")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Data_retrievesTheRawDataForADatabase_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://meta.feedonomics.com/api.php/dbs/1/data', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'x-api-key' => 'x-api-key',
  ],
]);

echo $response->getBody();
```

```csharp Data_retrievesTheRawDataForADatabase_example
using RestSharp;

var client = new RestClient("https://meta.feedonomics.com/api.php/dbs/1/data");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "x-api-key");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Data_retrievesTheRawDataForADatabase_example
import Foundation

let headers = [
  "x-api-key": "x-api-key",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://meta.feedonomics.com/api.php/dbs/1/data")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```